package eu.univento.commons.database;

import lombok.Getter;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/**
 * @author joethei
 * @version 0.1
 */
public class AsyncMongoDB {

    private ExecutorService executor;
    @Getter
    private MongoDB mongoDB;

    public AsyncMongoDB(String host, int port, String user, String password, String database) {
        mongoDB = new MongoDB(host, port, user, password, database);
        executor = Executors.newCachedThreadPool();
    }


}