package eu.univento.commons.player.ban;

/**
 * @author joethei
 * @version 0.1
 */
public enum BanReason {

    HACK_CRITICALS("Ban.Reason.Hack.Criticals", 10),
    HACK_AUTOCLICKER("Ban.Reason.Hack.Autoclicker", 10),
    HACK_GLIDE("Ban.Reason.Hack.Glide", 10),
    HACK_REACH("Ban.Reason.Hack.Reach", 10),
    HACK_NOSLOWDOWN("Ban.Reason.Hack.NoSlowDown", 10),
    HACK_REGEN("Ban.Reason.Hack.Regen", 10),
    HACK_AUTORESPAWN("Ban.Reason.Hack.AutoRespawn", 10),
    HACK_FASTPLACE("Ban.Reason.Hack.FastPlace", 10),
    HACK_KILLAURA("Ban.Reason.Hack.KillAura", 10),
    HACK_FLY("Ban.Reason.Hack.Fly", 10),
    HACK_WDL("Ban.Reason.Hack.WDL", 10),
    GRIEFING("Ban.Reason.Griefing", 10),
    BUGUSING("Ban.Reason.Bugusing", 10),
    HACKED_ACCOUNT("Ban.Reason.Hacked_Account", 10),
    TO_MANY_WARNS("Ban.Reason.Warns", 10),
    TO_MANY_MUTES("Ban.Reason.Mutes", 10),
    CUSTOM("Ban.Reason.Custom", 10);

    private final String name;
    private final int value;

    BanReason(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }
}