package eu.univento.commons.player;

/**
 * @author joethei
 * @version 0.1
 */
public enum Rank {

    Admin(16, 107, 5, "§4", "§8[§4Admin§8] §4", " §8»§7 ", "a", "§4Admin | "),
    SrDeveloper(15, 141, 18, "§3", "§8[§3SrDev§8] §3", " §8»§7 ", "c", "§3SrDev | "),
    SrBuilder(14, 142, 15, "§2", "§8[§2SrBuilder§8] §2", " §8»§7 ", "f", "§2SrBuilder | "),
    SrSupporter(13, 149, 12, "§9", "§8[§9SrSupr§8] §9", " §8»§7 ", "i", "§9SrSup | "),
    Developer(12, 144, 17, "§3", "§8[§3Dev§8] §3", " §8»§7 ", "d", "§3Dev | "),
    Builder(11, 145, 14, "§2", "§8[§2Builder§8] §2", " §8»§7 ", "g", "§2Builder | "),
    Supporter(10, 146, 11, "§9", "§8[§9Sup§8] §9", " §8»§7 ", "j", "§9Sup | "),
    JrDeveloper(9, 147, 16, "§3", "§8[§3JrDev§8] §3", " §8»§7 ", "e", "§3JrDev | "),
    JrBuilder(8, 148, 13, "§2", "§8[§2JrBuilder§8] §2", " §8»§7 ", "h", "§2JrBuilder | "),
    JrSupporter(7, 149, 10, "§9", "§8[§9JrSup§8] §9", " §8»§7 ", "k", "§9JrSup | "),
    Manager(6, 150, 19, "§c", "§8[§cManager§8] §c", " §8»§7 ", "b", "§cManager | "),
    Grafik(5, 151, 8, "§e", "§8[§eGrafiker§8] §e", " §8»§7 ", "l", "§eGrafik | "),
    Sound(4, 152, 9, "§e", "§8[§eSound§8] §e", " §8»§7 ", "m", "§eSound | "),
    Partner(3, 155, 7, "§5", "§5", " §8»§7 ", "n", "§5"),
    Premium(2, 156, 6, "§6", "§6", " §8»§7 ", "o", "§6"),
    Player(1, 164, 2, "§7", "§7", " §8»§7 ", "p", "§7");

    private final int value;
    private final int ts;
    private final int board;
    private final String color;
    private final String prefix;
    private final String suffix;
    private final String team;
    private final String tab;

    Rank(int value, int ts, int board, String color, String prefix, String suffix, String team, String tab) {
        this.value = value;
        this.ts = ts;
        this.board = board;
        this.color = color;
        this.prefix = prefix;
        this.suffix = suffix;
        this.team = team;
        this.tab = tab;
    }

    public int getValue() {
        return value;
    }

    public int getTS() {
        return ts;
    }

    public int getBoard() {
        return board;
    }

    public String getColor() {
        return color;
    }

    public String getPrefix() {
        return prefix;
    }

    public String getSuffix() {
        return suffix;
    }

    public String getTeam() {
        return team;
    }

    public String getTab() {
        return tab;
    }
}