package eu.univento.commons.player.language;

/**
 * @author joethei
 * @version 0.1
 */
public enum MessageConstant {

    PREFIX("Prefix"),

    SYSTEM_UNKOWN_ERROR("System.unknown_error"),
    SYSTEM_CRITICAL_ERROR("System.critical_error"),

    SERVER_RESTART("Server.restart"),
    SERVER_STOP("Server.stop"),
    SERVER_RECONNECT("Server.reconnect"),
    SERVER_FULL("Server.full"),
    SERVER_IP("Server.ip"),
    SERVER_TS_IP("Server.ts_ip"),
    SERVER_BOARD_IP("Server.board_ip"),

    COMMAND_PREFIX("Command.prefix"),
    COMMAND_NOT_FOUND("Command.not_found"),
    COMMAND_NOT_ONLINE("Command.not_online"),
    COMMAND_NO_PERMS("Command.no_perms"),

    PACK_FAILED_DOWNLOAD("Pack.failed_download"),
    PACK_DECLINED("Pack.declined"),

    GAME_SPECTATE_MENU("Game.Menu.SpectatorMenu");

    private String name;

    MessageConstant(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }
}